# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: essmodule/essmodule.proto
"""Generated protocol buffer code."""
from google.protobuf.internal import builder as _builder
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import uml_pb2 as uml__pb2
from google.protobuf import wrappers_pb2 as google_dot_protobuf_dot_wrappers__pb2
from commonmodule import commonmodule_pb2 as commonmodule_dot_commonmodule__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x19\x65ssmodule/essmodule.proto\x12\tessmodule\x1a\tuml.proto\x1a\x1egoogle/protobuf/wrappers.proto\x1a\x1f\x63ommonmodule/commonmodule.proto\"\x9a\x02\n\x1a\x45SSCapabilityConfiguration\x12X\n\x1dsourceCapabilityConfiguration\x18\x01 \x01(\x0b\x32+.commonmodule.SourceCapabilityConfigurationB\x04\x80\xb5\x18\x01\x12&\n\x0bVAChaRteMax\x18\x02 \x01(\x0b\x32\x11.commonmodule.ASG\x12)\n\x0eVADisChaRteMax\x18\x03 \x01(\x0b\x32\x11.commonmodule.ASG\x12%\n\nWChaRteMax\x18\x04 \x01(\x0b\x32\x11.commonmodule.ASG\x12(\n\rWDisChaRteMax\x18\x05 \x01(\x0b\x32\x11.commonmodule.ASG\"\xa8\x01\n\x15\x45SSCapabilityOverride\x12:\n\x0enameplateValue\x18\x01 \x01(\x0b\x32\x1c.commonmodule.NameplateValueB\x04\x80\xb5\x18\x01\x12S\n\x1a\x65ssCapabilityConfiguration\x18\x02 \x01(\x0b\x32%.essmodule.ESSCapabilityConfigurationB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"\xe3\x01\n\x1c\x45SSCapabilityOverrideProfile\x12H\n\x15\x63\x61pabilityMessageInfo\x18\x01 \x01(\x0b\x32#.commonmodule.CapabilityMessageInfoB\x04\x80\xb5\x18\x01\x12(\n\x03\x65ss\x18\x02 \x01(\x0b\x32\x11.commonmodule.ESSB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12I\n\x15\x65ssCapabilityOverride\x18\x03 \x01(\x0b\x32 .essmodule.ESSCapabilityOverrideB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xe8\x02\n\x14\x45SSCapabilityRatings\x12L\n\x17sourceCapabilityRatings\x18\x01 \x01(\x0b\x32%.commonmodule.SourceCapabilityRatingsB\x04\x80\xb5\x18\x01\x12\x33\n\x0eVAChaRteMaxRtg\x18\x02 \x01(\x0b\x32\x11.commonmodule.ASGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x36\n\x11VADisChaRteMaxRtg\x18\x03 \x01(\x0b\x32\x11.commonmodule.ASGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x32\n\rWChaRteMaxRtg\x18\x04 \x01(\x0b\x32\x11.commonmodule.ASGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x35\n\x10WDisChaRteMaxRtg\x18\x05 \x01(\x0b\x32\x11.commonmodule.ASGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12*\n\x05WHRtg\x18\x06 \x01(\x0b\x32\x11.commonmodule.ASGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"\xdf\x01\n\rESSCapability\x12:\n\x0enameplateValue\x18\x01 \x01(\x0b\x32\x1c.commonmodule.NameplateValueB\x04\x80\xb5\x18\x01\x12G\n\x14\x65ssCapabilityRatings\x18\x02 \x01(\x0b\x32\x1f.essmodule.ESSCapabilityRatingsB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12I\n\x1a\x65ssCapabilityConfiguration\x18\x03 \x01(\x0b\x32%.essmodule.ESSCapabilityConfiguration\"\xcb\x01\n\x14\x45SSCapabilityProfile\x12H\n\x15\x63\x61pabilityMessageInfo\x18\x01 \x01(\x0b\x32#.commonmodule.CapabilityMessageInfoB\x04\x80\xb5\x18\x01\x12(\n\x03\x65ss\x18\x02 \x01(\x0b\x32\x11.commonmodule.ESSB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x39\n\ressCapability\x18\x03 \x01(\x0b\x32\x18.essmodule.ESSCapabilityB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xfa\x03\n\x13\x46requencyRegulation\x12;\n\x16\x66requencyDeadBandMinus\x18\x01 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12:\n\x15\x66requencyDeadBandPlus\x18\x02 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12:\n\x16\x66requencyRegulationCtl\x18\x03 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\x12\x36\n\x11\x66requencySetPoint\x18\x04 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x41\n\x1cgridFrequencyStableBandMinus\x18\x05 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12@\n\x1bgridFrequencyStableBandPlus\x18\x06 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x37\n\x12overFrequencyDroop\x18\x07 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x38\n\x13underFrequencyDroop\x18\x08 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\"\xb6\x02\n\x0bPeakShaving\x12\x35\n\x10\x62\x61seShavingLimit\x18\x01 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x32\n\x0epeakShavingCtl\x18\x02 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\x12\x35\n\x10peakShavingLimit\x18\x03 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x42\n\x1dsocManagementAllowedHighLimit\x18\x04 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x41\n\x1csocManagementAllowedLowLimit\x18\x05 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\"\x99\x02\n\x08SocLimit\x12\x31\n\x0csocHighLimit\x18\x01 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12;\n\x16socHighLimitHysteresis\x18\x02 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12/\n\x0bsocLimitCtl\x18\x03 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\x12\x30\n\x0bsocLowLimit\x18\x04 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12:\n\x15socLowLimitHysteresis\x18\x05 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\"\x9b\x02\n\rSOCManagement\x12\x35\n\x10socDeadBandMinus\x18\x01 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x34\n\x0fsocDeadBandPlus\x18\x02 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x34\n\x10socManagementCtl\x18\x03 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\x12\x35\n\x10socPowerSetPoint\x18\x04 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x30\n\x0bsocSetPoint\x18\x05 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\"\xad\x02\n\x11VoltageRegulation\x12\x35\n\x10overVoltageDroop\x18\x01 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x36\n\x11underVoltageDroop\x18\x02 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x39\n\x14voltageDeadBandMinus\x18\x03 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x38\n\x13voltageDeadBandPlus\x18\x04 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x34\n\x0fvoltageSetPoint\x18\x05 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\"|\n\x0cVoltageDroop\x12\x33\n\x0fvoltageDroopCtl\x18\x01 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\x12\x37\n\x11voltageRegulation\x18\x02 \x01(\x0b\x32\x1c.essmodule.VoltageRegulation\"v\n\tVoltagePI\x12\x30\n\x0cvoltagePICtl\x18\x01 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\x12\x37\n\x11voltageRegulation\x18\x02 \x01(\x0b\x32\x1c.essmodule.VoltageRegulation\"\xbd\x01\n\x0f\x43\x61pacityFirming\x12\x36\n\x12\x63\x61pacityFirmingCtl\x18\x01 \x01(\x0b\x32\x1a.google.protobuf.BoolValue\x12\x38\n\x13limitNegative_dp_dt\x18\x02 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12\x38\n\x13limitPositive_dp_dt\x18\x03 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\"\xdc\x02\n\x0b\x45SSFunction\x12\x33\n\x0f\x63\x61pacityFirming\x18\x01 \x01(\x0b\x32\x1a.essmodule.CapacityFirming\x12;\n\x13\x66requencyRegulation\x18\x02 \x01(\x0b\x32\x1e.essmodule.FrequencyRegulation\x12+\n\x0bpeakShaving\x18\x03 \x01(\x0b\x32\x16.essmodule.PeakShaving\x12%\n\x08socLimit\x18\x04 \x01(\x0b\x32\x13.essmodule.SocLimit\x12/\n\rsocManagement\x18\x05 \x01(\x0b\x32\x18.essmodule.SOCManagement\x12-\n\x0cvoltageDroop\x18\x06 \x01(\x0b\x32\x17.essmodule.VoltageDroop\x12\'\n\tvoltagePI\x18\x07 \x01(\x0b\x32\x14.essmodule.VoltagePI\"\xa8\x07\n\x08\x45SSPoint\x12\x33\n\x11\x62lackStartEnabled\x18\x01 \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12(\n\x08\x66unction\x18\x03 \x01(\x0b\x32\x16.essmodule.ESSFunction\x12\x33\n\x04mode\x18\x04 \x01(\x0b\x32%.commonmodule.ENG_GridConnectModeKind\x12)\n\trampRates\x18\x07 \x01(\x0b\x32\x16.commonmodule.RampRate\x12\'\n\x05reset\x18\n \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12/\n\x05state\x18\x0b \x01(\x0b\x32 .commonmodule.Optional_StateKind\x12?\n\x1dtransToIslndOnGridLossEnabled\x18\r \x01(\x0b\x32\x18.commonmodule.ControlSPC\x12<\n\x15\x65nterServiceOperation\x18\x10 \x01(\x0b\x32\x1d.commonmodule.EnterServiceAPC\x12*\n\x0chzWOperation\x18\x11 \x01(\x0b\x32\x14.commonmodule.HzWAPC\x12\x30\n\x0flimitWOperation\x18\x12 \x01(\x0b\x32\x17.commonmodule.LimitWAPC\x12(\n\x0bpFOperation\x18\x13 \x01(\x0b\x32\x13.commonmodule.PFSPC\x12\x30\n\x11tmHzTripOperation\x18\x14 \x01(\x0b\x32\x15.commonmodule.TmHzCSG\x12\x34\n\x13tmVoltTripOperation\x18\x15 \x01(\x0b\x32\x17.commonmodule.TmVoltCSG\x12*\n\x0cvArOperation\x18\x16 \x01(\x0b\x32\x14.commonmodule.VarSPC\x12\x32\n\x10voltVarOperation\x18\x17 \x01(\x0b\x32\x18.commonmodule.VoltVarCSG\x12.\n\x0evoltWOperation\x18\x18 \x01(\x0b\x32\x16.commonmodule.VoltWCSG\x12,\n\rwVarOperation\x18\x19 \x01(\x0b\x32\x15.commonmodule.WVarCSG\x12&\n\nwOperation\x18\x1a \x01(\x0b\x32\x12.commonmodule.WSPCJ\x04\x08\x02\x10\x03J\x04\x08\x05\x10\x06J\x04\x08\x06\x10\x07J\x04\x08\x08\x10\tJ\x04\x08\t\x10\nJ\x04\x08\x0c\x10\rJ\x04\x08\x0e\x10\x0fJ\x04\x08\x0f\x10\x10\"|\n\rESSCurvePoint\x12.\n\x07\x63ontrol\x18\x01 \x01(\x0b\x32\x13.essmodule.ESSPointB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12;\n\tstartTime\x18\x02 \x01(\x0b\x32\x1e.commonmodule.ControlTimestampB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"<\n\x06\x45SSCSG\x12\x32\n\x06\x63rvPts\x18\x01 \x03(\x0b\x32\x18.essmodule.ESSCurvePointB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"F\n\x16\x45SSControlScheduleFSCH\x12,\n\x07ValDCSG\x18\x01 \x01(\x0b\x32\x11.essmodule.ESSCSGB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\"\x89\x01\n\x0e\x45ssControlFSCC\x12\x34\n\x0b\x63ontrolFSCC\x18\x01 \x01(\x0b\x32\x19.commonmodule.ControlFSCCB\x04\x80\xb5\x18\x01\x12\x41\n\x16\x65ssControlScheduleFSCH\x18\x02 \x01(\x0b\x32!.essmodule.ESSControlScheduleFSCH\"\xa5\x01\n\nESSControl\x12\x36\n\x0c\x63ontrolValue\x18\x01 \x01(\x0b\x32\x1a.commonmodule.ControlValueB\x04\x80\xb5\x18\x01\x12,\n\x05\x63heck\x18\x02 \x01(\x0b\x32\x1d.commonmodule.CheckConditions\x12\x31\n\x0e\x65ssControlFSCC\x18\x03 \x01(\x0b\x32\x19.essmodule.EssControlFSCC\"\xbc\x01\n\x11\x45SSControlProfile\x12\x42\n\x12\x63ontrolMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ControlMessageInfoB\x04\x80\xb5\x18\x01\x12(\n\x03\x65ss\x18\x02 \x01(\x0b\x32\x11.commonmodule.ESSB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x33\n\nessControl\x18\x03 \x01(\x0b\x32\x15.essmodule.ESSControlB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\x88\x01\n\x16\x45SSDiscreteControlDBAT\x12H\n\x15logicalNodeForControl\x18\x01 \x01(\x0b\x32#.commonmodule.LogicalNodeForControlB\x04\x80\xb5\x18\x01\x12$\n\x07\x63ontrol\x18\x02 \x01(\x0b\x32\x13.essmodule.ESSPoint\"\xbd\x01\n\x12\x45SSDiscreteControl\x12\x36\n\x0c\x63ontrolValue\x18\x01 \x01(\x0b\x32\x1a.commonmodule.ControlValueB\x04\x80\xb5\x18\x01\x12,\n\x05\x63heck\x18\x02 \x01(\x0b\x32\x1d.commonmodule.CheckConditions\x12\x41\n\x16\x65ssDiscreteControlDBAT\x18\x03 \x01(\x0b\x32!.essmodule.ESSDiscreteControlDBAT\"\xd4\x01\n\x19\x45SSDiscreteControlProfile\x12\x42\n\x12\x63ontrolMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ControlMessageInfoB\x04\x80\xb5\x18\x01\x12(\n\x03\x65ss\x18\x02 \x01(\x0b\x32\x11.commonmodule.ESSB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x43\n\x12\x65ssDiscreteControl\x18\x03 \x01(\x0b\x32\x1d.essmodule.ESSDiscreteControlB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xe7\x02\n\x0c\x45ssEventZBAT\x12V\n\x1clogicalNodeForEventAndStatus\x18\x01 \x01(\x0b\x32*.commonmodule.LogicalNodeForEventAndStatusB\x04\x80\xb5\x18\x01\x12&\n\x05\x42\x61tHi\x18\x02 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12&\n\x05\x42\x61tLo\x18\x03 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12&\n\x05\x42\x61tSt\x18\x04 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x1d\n\x03Soc\x18\x05 \x01(\x0b\x32\x10.commonmodule.MV\x12&\n\x05Stdby\x18\x06 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x1d\n\x03SoH\x18\x07 \x01(\x0b\x32\x10.commonmodule.MV\x12!\n\x07WHAvail\x18\x08 \x01(\x0b\x32\x10.commonmodule.MV\"\xa7\t\n\x0e\x45SSPointStatus\x12\x32\n\x11\x62lackStartEnabled\x18\x01 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x39\n\x18\x66requencySetPointEnabled\x18\x02 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12(\n\x08\x66unction\x18\x03 \x01(\x0b\x32\x16.essmodule.ESSFunction\x12\x33\n\x04mode\x18\x04 \x01(\x0b\x32%.commonmodule.ENG_GridConnectModeKind\x12/\n\npctHzDroop\x18\x05 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12.\n\tpctVDroop\x18\x06 \x01(\x0b\x32\x1b.google.protobuf.FloatValue\x12)\n\trampRates\x18\x07 \x01(\x0b\x32\x16.commonmodule.RampRate\x12;\n\x1areactivePwrSetPointEnabled\x18\x08 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x37\n\x16realPwrSetPointEnabled\x18\t \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12/\n\x05state\x18\n \x01(\x0b\x32 .commonmodule.Optional_StateKind\x12/\n\x0esyncBackToGrid\x18\x0b \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12>\n\x1dtransToIslndOnGridLossEnabled\x18\x0c \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x37\n\x16voltageSetPointEnabled\x18\r \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12<\n\x15\x65nterServiceOperation\x18\x0e \x01(\x0b\x32\x1d.commonmodule.EnterServiceAPC\x12*\n\x0chzWOperation\x18\x0f \x01(\x0b\x32\x14.commonmodule.HzWAPC\x12\x30\n\x0flimitWOperation\x18\x10 \x01(\x0b\x32\x17.commonmodule.LimitWAPC\x12(\n\x0bpFOperation\x18\x11 \x01(\x0b\x32\x13.commonmodule.PFSPC\x12\x30\n\x11tmHzTripOperation\x18\x12 \x01(\x0b\x32\x15.commonmodule.TmHzCSG\x12\x34\n\x13tmVoltTripOperation\x18\x13 \x01(\x0b\x32\x17.commonmodule.TmVoltCSG\x12*\n\x0cvArOperation\x18\x14 \x01(\x0b\x32\x14.commonmodule.VarSPC\x12\x32\n\x10voltVarOperation\x18\x15 \x01(\x0b\x32\x18.commonmodule.VoltVarCSG\x12.\n\x0evoltWOperation\x18\x16 \x01(\x0b\x32\x16.commonmodule.VoltWCSG\x12,\n\rwVarOperation\x18\x17 \x01(\x0b\x32\x15.commonmodule.WVarCSG\"\xd6\x02\n\x15\x45SSEventAndStatusZGEN\x12V\n\x1clogicalNodeForEventAndStatus\x18\x01 \x01(\x0b\x32*.commonmodule.LogicalNodeForEventAndStatusB\x04\x80\xb5\x18\x01\x12)\n\x08\x41uxPwrSt\x18\x02 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x36\n\x0b\x44ynamicTest\x18\x03 \x01(\x0b\x32!.commonmodule.ENS_DynamicTestKind\x12(\n\x07\x45mgStop\x18\x04 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12(\n\x07GnSynSt\x18\x05 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12.\n\x0bPointStatus\x18\x06 \x01(\x0b\x32\x19.essmodule.ESSPointStatus\"U\n\x0c\x45SSEventZGEN\x12\x45\n\x15\x65SSEventAndStatusZGEN\x18\x01 \x01(\x0b\x32 .essmodule.ESSEventAndStatusZGENB\x04\x80\xb5\x18\x01\"\x9c\x01\n\x08\x45SSEvent\x12\x32\n\neventValue\x18\x01 \x01(\x0b\x32\x18.commonmodule.EventValueB\x04\x80\xb5\x18\x01\x12-\n\x0c\x65ssEventZBAT\x18\x02 \x01(\x0b\x32\x17.essmodule.EssEventZBAT\x12-\n\x0c\x65ssEventZGEN\x18\x03 \x01(\x0b\x32\x17.essmodule.ESSEventZGEN\"\xb2\x01\n\x0f\x45SSEventProfile\x12>\n\x10\x65ventMessageInfo\x18\x01 \x01(\x0b\x32\x1e.commonmodule.EventMessageInfoB\x04\x80\xb5\x18\x01\x12(\n\x03\x65ss\x18\x02 \x01(\x0b\x32\x11.commonmodule.ESSB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12/\n\x08\x65ssEvent\x18\x03 \x01(\x0b\x32\x13.essmodule.ESSEventB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xfc\x01\n\nESSReading\x12\x62\n\"conductingEquipmentTerminalReading\x18\x01 \x01(\x0b\x32\x30.commonmodule.ConductingEquipmentTerminalReadingB\x04\x80\xb5\x18\x01\x12*\n\tphaseMMTN\x18\x02 \x01(\x0b\x32\x17.commonmodule.PhaseMMTN\x12.\n\x0breadingMMTR\x18\x03 \x01(\x0b\x32\x19.commonmodule.ReadingMMTR\x12.\n\x0breadingMMXU\x18\x04 \x01(\x0b\x32\x19.commonmodule.ReadingMMXU\"\xbc\x01\n\x11\x45SSReadingProfile\x12\x42\n\x12readingMessageInfo\x18\x01 \x01(\x0b\x32 .commonmodule.ReadingMessageInfoB\x04\x80\xb5\x18\x01\x12(\n\x03\x65ss\x18\x02 \x01(\x0b\x32\x11.commonmodule.ESSB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x33\n\nessReading\x18\x03 \x01(\x0b\x32\x15.essmodule.ESSReadingB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\"\xcf\x02\n\rEssStatusZBAT\x12V\n\x1clogicalNodeForEventAndStatus\x18\x01 \x01(\x0b\x32*.commonmodule.LogicalNodeForEventAndStatusB\x04\x80\xb5\x18\x01\x12&\n\x05\x42\x61tSt\x18\x02 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x35\n\x06GriMod\x18\x03 \x01(\x0b\x32%.commonmodule.ENG_GridConnectModeKind\x12\x1d\n\x03Soc\x18\x04 \x01(\x0b\x32\x10.commonmodule.MV\x12&\n\x05Stdby\x18\x05 \x01(\x0b\x32\x17.commonmodule.StatusSPS\x12\x1d\n\x03SoH\x18\x06 \x01(\x0b\x32\x10.commonmodule.MV\x12!\n\x07WHAvail\x18\x07 \x01(\x0b\x32\x10.commonmodule.MV\"V\n\rESSStatusZGEN\x12\x45\n\x15\x65SSEventAndStatusZGEN\x18\x01 \x01(\x0b\x32 .essmodule.ESSEventAndStatusZGENB\x04\x80\xb5\x18\x01\"\xa3\x01\n\tESSStatus\x12\x34\n\x0bstatusValue\x18\x01 \x01(\x0b\x32\x19.commonmodule.StatusValueB\x04\x80\xb5\x18\x01\x12/\n\ressStatusZBAT\x18\x02 \x01(\x0b\x32\x18.essmodule.EssStatusZBAT\x12/\n\ressStatusZGEN\x18\x03 \x01(\x0b\x32\x18.essmodule.ESSStatusZGEN\"\xb7\x01\n\x10\x45SSStatusProfile\x12@\n\x11statusMessageInfo\x18\x01 \x01(\x0b\x32\x1f.commonmodule.StatusMessageInfoB\x04\x80\xb5\x18\x01\x12(\n\x03\x65ss\x18\x02 \x01(\x0b\x32\x11.commonmodule.ESSB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01\x12\x31\n\tessStatus\x18\x03 \x01(\x0b\x32\x14.essmodule.ESSStatusB\x08\x88\xb5\x18\x01\x90\xb5\x18\x01:\x04\xc0\xf3\x18\x01\x42{\n\x11openfmb.essmoduleP\x01ZPgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/essmodule\xaa\x02\x11openfmb.essmoduleb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'essmodule.essmodule_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  DESCRIPTOR._serialized_options = b'\n\021openfmb.essmoduleP\001ZPgitlab.com/openfmb/psm/ops/protobuf/go-openfmb-ops-protobuf/v2/openfmb/essmodule\252\002\021openfmb.essmodule'
  _ESSCAPABILITYCONFIGURATION.fields_by_name['sourceCapabilityConfiguration']._options = None
  _ESSCAPABILITYCONFIGURATION.fields_by_name['sourceCapabilityConfiguration']._serialized_options = b'\200\265\030\001'
  _ESSCAPABILITYOVERRIDE.fields_by_name['nameplateValue']._options = None
  _ESSCAPABILITYOVERRIDE.fields_by_name['nameplateValue']._serialized_options = b'\200\265\030\001'
  _ESSCAPABILITYOVERRIDE.fields_by_name['essCapabilityConfiguration']._options = None
  _ESSCAPABILITYOVERRIDE.fields_by_name['essCapabilityConfiguration']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYOVERRIDEPROFILE.fields_by_name['capabilityMessageInfo']._options = None
  _ESSCAPABILITYOVERRIDEPROFILE.fields_by_name['capabilityMessageInfo']._serialized_options = b'\200\265\030\001'
  _ESSCAPABILITYOVERRIDEPROFILE.fields_by_name['ess']._options = None
  _ESSCAPABILITYOVERRIDEPROFILE.fields_by_name['ess']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYOVERRIDEPROFILE.fields_by_name['essCapabilityOverride']._options = None
  _ESSCAPABILITYOVERRIDEPROFILE.fields_by_name['essCapabilityOverride']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYOVERRIDEPROFILE._options = None
  _ESSCAPABILITYOVERRIDEPROFILE._serialized_options = b'\300\363\030\001'
  _ESSCAPABILITYRATINGS.fields_by_name['sourceCapabilityRatings']._options = None
  _ESSCAPABILITYRATINGS.fields_by_name['sourceCapabilityRatings']._serialized_options = b'\200\265\030\001'
  _ESSCAPABILITYRATINGS.fields_by_name['VAChaRteMaxRtg']._options = None
  _ESSCAPABILITYRATINGS.fields_by_name['VAChaRteMaxRtg']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYRATINGS.fields_by_name['VADisChaRteMaxRtg']._options = None
  _ESSCAPABILITYRATINGS.fields_by_name['VADisChaRteMaxRtg']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYRATINGS.fields_by_name['WChaRteMaxRtg']._options = None
  _ESSCAPABILITYRATINGS.fields_by_name['WChaRteMaxRtg']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYRATINGS.fields_by_name['WDisChaRteMaxRtg']._options = None
  _ESSCAPABILITYRATINGS.fields_by_name['WDisChaRteMaxRtg']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYRATINGS.fields_by_name['WHRtg']._options = None
  _ESSCAPABILITYRATINGS.fields_by_name['WHRtg']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITY.fields_by_name['nameplateValue']._options = None
  _ESSCAPABILITY.fields_by_name['nameplateValue']._serialized_options = b'\200\265\030\001'
  _ESSCAPABILITY.fields_by_name['essCapabilityRatings']._options = None
  _ESSCAPABILITY.fields_by_name['essCapabilityRatings']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYPROFILE.fields_by_name['capabilityMessageInfo']._options = None
  _ESSCAPABILITYPROFILE.fields_by_name['capabilityMessageInfo']._serialized_options = b'\200\265\030\001'
  _ESSCAPABILITYPROFILE.fields_by_name['ess']._options = None
  _ESSCAPABILITYPROFILE.fields_by_name['ess']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYPROFILE.fields_by_name['essCapability']._options = None
  _ESSCAPABILITYPROFILE.fields_by_name['essCapability']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCAPABILITYPROFILE._options = None
  _ESSCAPABILITYPROFILE._serialized_options = b'\300\363\030\001'
  _ESSCURVEPOINT.fields_by_name['control']._options = None
  _ESSCURVEPOINT.fields_by_name['control']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCURVEPOINT.fields_by_name['startTime']._options = None
  _ESSCURVEPOINT.fields_by_name['startTime']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCSG.fields_by_name['crvPts']._options = None
  _ESSCSG.fields_by_name['crvPts']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCONTROLSCHEDULEFSCH.fields_by_name['ValDCSG']._options = None
  _ESSCONTROLSCHEDULEFSCH.fields_by_name['ValDCSG']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCONTROLFSCC.fields_by_name['controlFSCC']._options = None
  _ESSCONTROLFSCC.fields_by_name['controlFSCC']._serialized_options = b'\200\265\030\001'
  _ESSCONTROL.fields_by_name['controlValue']._options = None
  _ESSCONTROL.fields_by_name['controlValue']._serialized_options = b'\200\265\030\001'
  _ESSCONTROLPROFILE.fields_by_name['controlMessageInfo']._options = None
  _ESSCONTROLPROFILE.fields_by_name['controlMessageInfo']._serialized_options = b'\200\265\030\001'
  _ESSCONTROLPROFILE.fields_by_name['ess']._options = None
  _ESSCONTROLPROFILE.fields_by_name['ess']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCONTROLPROFILE.fields_by_name['essControl']._options = None
  _ESSCONTROLPROFILE.fields_by_name['essControl']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSCONTROLPROFILE._options = None
  _ESSCONTROLPROFILE._serialized_options = b'\300\363\030\001'
  _ESSDISCRETECONTROLDBAT.fields_by_name['logicalNodeForControl']._options = None
  _ESSDISCRETECONTROLDBAT.fields_by_name['logicalNodeForControl']._serialized_options = b'\200\265\030\001'
  _ESSDISCRETECONTROL.fields_by_name['controlValue']._options = None
  _ESSDISCRETECONTROL.fields_by_name['controlValue']._serialized_options = b'\200\265\030\001'
  _ESSDISCRETECONTROLPROFILE.fields_by_name['controlMessageInfo']._options = None
  _ESSDISCRETECONTROLPROFILE.fields_by_name['controlMessageInfo']._serialized_options = b'\200\265\030\001'
  _ESSDISCRETECONTROLPROFILE.fields_by_name['ess']._options = None
  _ESSDISCRETECONTROLPROFILE.fields_by_name['ess']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSDISCRETECONTROLPROFILE.fields_by_name['essDiscreteControl']._options = None
  _ESSDISCRETECONTROLPROFILE.fields_by_name['essDiscreteControl']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSDISCRETECONTROLPROFILE._options = None
  _ESSDISCRETECONTROLPROFILE._serialized_options = b'\300\363\030\001'
  _ESSEVENTZBAT.fields_by_name['logicalNodeForEventAndStatus']._options = None
  _ESSEVENTZBAT.fields_by_name['logicalNodeForEventAndStatus']._serialized_options = b'\200\265\030\001'
  _ESSEVENTANDSTATUSZGEN.fields_by_name['logicalNodeForEventAndStatus']._options = None
  _ESSEVENTANDSTATUSZGEN.fields_by_name['logicalNodeForEventAndStatus']._serialized_options = b'\200\265\030\001'
  _ESSEVENTZGEN.fields_by_name['eSSEventAndStatusZGEN']._options = None
  _ESSEVENTZGEN.fields_by_name['eSSEventAndStatusZGEN']._serialized_options = b'\200\265\030\001'
  _ESSEVENT.fields_by_name['eventValue']._options = None
  _ESSEVENT.fields_by_name['eventValue']._serialized_options = b'\200\265\030\001'
  _ESSEVENTPROFILE.fields_by_name['eventMessageInfo']._options = None
  _ESSEVENTPROFILE.fields_by_name['eventMessageInfo']._serialized_options = b'\200\265\030\001'
  _ESSEVENTPROFILE.fields_by_name['ess']._options = None
  _ESSEVENTPROFILE.fields_by_name['ess']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSEVENTPROFILE.fields_by_name['essEvent']._options = None
  _ESSEVENTPROFILE.fields_by_name['essEvent']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSEVENTPROFILE._options = None
  _ESSEVENTPROFILE._serialized_options = b'\300\363\030\001'
  _ESSREADING.fields_by_name['conductingEquipmentTerminalReading']._options = None
  _ESSREADING.fields_by_name['conductingEquipmentTerminalReading']._serialized_options = b'\200\265\030\001'
  _ESSREADINGPROFILE.fields_by_name['readingMessageInfo']._options = None
  _ESSREADINGPROFILE.fields_by_name['readingMessageInfo']._serialized_options = b'\200\265\030\001'
  _ESSREADINGPROFILE.fields_by_name['ess']._options = None
  _ESSREADINGPROFILE.fields_by_name['ess']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSREADINGPROFILE.fields_by_name['essReading']._options = None
  _ESSREADINGPROFILE.fields_by_name['essReading']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSREADINGPROFILE._options = None
  _ESSREADINGPROFILE._serialized_options = b'\300\363\030\001'
  _ESSSTATUSZBAT.fields_by_name['logicalNodeForEventAndStatus']._options = None
  _ESSSTATUSZBAT.fields_by_name['logicalNodeForEventAndStatus']._serialized_options = b'\200\265\030\001'
  _ESSSTATUSZGEN.fields_by_name['eSSEventAndStatusZGEN']._options = None
  _ESSSTATUSZGEN.fields_by_name['eSSEventAndStatusZGEN']._serialized_options = b'\200\265\030\001'
  _ESSSTATUS.fields_by_name['statusValue']._options = None
  _ESSSTATUS.fields_by_name['statusValue']._serialized_options = b'\200\265\030\001'
  _ESSSTATUSPROFILE.fields_by_name['statusMessageInfo']._options = None
  _ESSSTATUSPROFILE.fields_by_name['statusMessageInfo']._serialized_options = b'\200\265\030\001'
  _ESSSTATUSPROFILE.fields_by_name['ess']._options = None
  _ESSSTATUSPROFILE.fields_by_name['ess']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSSTATUSPROFILE.fields_by_name['essStatus']._options = None
  _ESSSTATUSPROFILE.fields_by_name['essStatus']._serialized_options = b'\210\265\030\001\220\265\030\001'
  _ESSSTATUSPROFILE._options = None
  _ESSSTATUSPROFILE._serialized_options = b'\300\363\030\001'
  _globals['_ESSCAPABILITYCONFIGURATION']._serialized_start=117
  _globals['_ESSCAPABILITYCONFIGURATION']._serialized_end=399
  _globals['_ESSCAPABILITYOVERRIDE']._serialized_start=402
  _globals['_ESSCAPABILITYOVERRIDE']._serialized_end=570
  _globals['_ESSCAPABILITYOVERRIDEPROFILE']._serialized_start=573
  _globals['_ESSCAPABILITYOVERRIDEPROFILE']._serialized_end=800
  _globals['_ESSCAPABILITYRATINGS']._serialized_start=803
  _globals['_ESSCAPABILITYRATINGS']._serialized_end=1163
  _globals['_ESSCAPABILITY']._serialized_start=1166
  _globals['_ESSCAPABILITY']._serialized_end=1389
  _globals['_ESSCAPABILITYPROFILE']._serialized_start=1392
  _globals['_ESSCAPABILITYPROFILE']._serialized_end=1595
  _globals['_FREQUENCYREGULATION']._serialized_start=1598
  _globals['_FREQUENCYREGULATION']._serialized_end=2104
  _globals['_PEAKSHAVING']._serialized_start=2107
  _globals['_PEAKSHAVING']._serialized_end=2417
  _globals['_SOCLIMIT']._serialized_start=2420
  _globals['_SOCLIMIT']._serialized_end=2701
  _globals['_SOCMANAGEMENT']._serialized_start=2704
  _globals['_SOCMANAGEMENT']._serialized_end=2987
  _globals['_VOLTAGEREGULATION']._serialized_start=2990
  _globals['_VOLTAGEREGULATION']._serialized_end=3291
  _globals['_VOLTAGEDROOP']._serialized_start=3293
  _globals['_VOLTAGEDROOP']._serialized_end=3417
  _globals['_VOLTAGEPI']._serialized_start=3419
  _globals['_VOLTAGEPI']._serialized_end=3537
  _globals['_CAPACITYFIRMING']._serialized_start=3540
  _globals['_CAPACITYFIRMING']._serialized_end=3729
  _globals['_ESSFUNCTION']._serialized_start=3732
  _globals['_ESSFUNCTION']._serialized_end=4080
  _globals['_ESSPOINT']._serialized_start=4083
  _globals['_ESSPOINT']._serialized_end=5019
  _globals['_ESSCURVEPOINT']._serialized_start=5021
  _globals['_ESSCURVEPOINT']._serialized_end=5145
  _globals['_ESSCSG']._serialized_start=5147
  _globals['_ESSCSG']._serialized_end=5207
  _globals['_ESSCONTROLSCHEDULEFSCH']._serialized_start=5209
  _globals['_ESSCONTROLSCHEDULEFSCH']._serialized_end=5279
  _globals['_ESSCONTROLFSCC']._serialized_start=5282
  _globals['_ESSCONTROLFSCC']._serialized_end=5419
  _globals['_ESSCONTROL']._serialized_start=5422
  _globals['_ESSCONTROL']._serialized_end=5587
  _globals['_ESSCONTROLPROFILE']._serialized_start=5590
  _globals['_ESSCONTROLPROFILE']._serialized_end=5778
  _globals['_ESSDISCRETECONTROLDBAT']._serialized_start=5781
  _globals['_ESSDISCRETECONTROLDBAT']._serialized_end=5917
  _globals['_ESSDISCRETECONTROL']._serialized_start=5920
  _globals['_ESSDISCRETECONTROL']._serialized_end=6109
  _globals['_ESSDISCRETECONTROLPROFILE']._serialized_start=6112
  _globals['_ESSDISCRETECONTROLPROFILE']._serialized_end=6324
  _globals['_ESSEVENTZBAT']._serialized_start=6327
  _globals['_ESSEVENTZBAT']._serialized_end=6686
  _globals['_ESSPOINTSTATUS']._serialized_start=6689
  _globals['_ESSPOINTSTATUS']._serialized_end=7880
  _globals['_ESSEVENTANDSTATUSZGEN']._serialized_start=7883
  _globals['_ESSEVENTANDSTATUSZGEN']._serialized_end=8225
  _globals['_ESSEVENTZGEN']._serialized_start=8227
  _globals['_ESSEVENTZGEN']._serialized_end=8312
  _globals['_ESSEVENT']._serialized_start=8315
  _globals['_ESSEVENT']._serialized_end=8471
  _globals['_ESSEVENTPROFILE']._serialized_start=8474
  _globals['_ESSEVENTPROFILE']._serialized_end=8652
  _globals['_ESSREADING']._serialized_start=8655
  _globals['_ESSREADING']._serialized_end=8907
  _globals['_ESSREADINGPROFILE']._serialized_start=8910
  _globals['_ESSREADINGPROFILE']._serialized_end=9098
  _globals['_ESSSTATUSZBAT']._serialized_start=9101
  _globals['_ESSSTATUSZBAT']._serialized_end=9436
  _globals['_ESSSTATUSZGEN']._serialized_start=9438
  _globals['_ESSSTATUSZGEN']._serialized_end=9524
  _globals['_ESSSTATUS']._serialized_start=9527
  _globals['_ESSSTATUS']._serialized_end=9690
  _globals['_ESSSTATUSPROFILE']._serialized_start=9693
  _globals['_ESSSTATUSPROFILE']._serialized_end=9876
# @@protoc_insertion_point(module_scope)
